asn1-encoding-0.9.6: ASN1 data reader and writer in RAW, BER and DER forms

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | None
Language | Haskell2010

Data.ASN1.Object

Description

Deprecated: Use Data.ASN1.Types instead

Synopsis

- class ASN1Object a where
  - toASN1 :: a -> ASN1S
  - fromASN1 :: [ASN1] -> Either String (a, [ASN1])

# Documentation

class ASN1Object a where Source #

Define an object that can be converted to and from ASN.1

Methods

toASN1 :: a -> ASN1S Source #

transform an object into a chunk of ASN1 stream.

fromASN1 :: [ASN1] -> Either String (a, [ASN1]) Source #

returns either an object along the remaining ASN1 stream, or an error.